package com.ygtx.gxt.domain;

import com.ygtx.common.annotation.Excel;
import com.ygtx.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 维保运行天数得分对象 gxt_user_runtime_score
 * 
 * @author ruoyi
 * @date 2025-11-05
 */
public class GxtUserRuntimeScore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 维保人 */
    @Excel(name = "维保人")
    private String userName;

    /** 运行天数范围ID */
    @Excel(name = "运行天数范围ID")
    private Long runtimeScoreId;

    /** 设备数量 */
    @Excel(name = "设备数量")
    private Integer deviceCount;

    /** 运行天数对应分值 */
    @Excel(name = "运行天数对应分值")
    private BigDecimal runtimeScore;

    /** 计算得分(工单数量×分值) */
    @Excel(name = "计算得分(工单数量×分值)")
    private BigDecimal calculatedScore;

    /** 统计月份 */
    @Excel(name = "统计月份")
    private String monthPeriod;
    
    /** 分值 */
    @Excel(name = "分值")
    private BigDecimal score;
    
    /** 运行天数范围 */
    @Excel(name = "运行天数范围")
    private String runtimeRange;

    private Date endTime;

    private Long deptId;

    private String permission;

    public String getPermission() {
        return permission;
    }

    public void setPermission(String permission) {
        this.permission = permission;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setRuntimeScoreId(Long runtimeScoreId) 
    {
        this.runtimeScoreId = runtimeScoreId;
    }

    public Long getRuntimeScoreId() 
    {
        return runtimeScoreId;
    }
    public void setDeviceCount(Integer deviceCount) 
    {
        this.deviceCount = deviceCount;
    }

    public Integer getDeviceCount() 
    {
        return deviceCount;
    }
    public void setRuntimeScore(BigDecimal runtimeScore) 
    {
        this.runtimeScore = runtimeScore;
    }

    public BigDecimal getRuntimeScore() 
    {
        return runtimeScore;
    }
    public void setCalculatedScore(BigDecimal calculatedScore) 
    {
        this.calculatedScore = calculatedScore;
    }

    public BigDecimal getCalculatedScore() 
    {
        return calculatedScore;
    }
    public void setMonthPeriod(String monthPeriod) 
    {
        this.monthPeriod = monthPeriod;
    }

    public String getMonthPeriod() 
    {
        return monthPeriod;
    }
    
    public BigDecimal getScore() 
    {
        return score;
    }

    public void setScore(BigDecimal score) 
    {
        this.score = score;
    }
    
    public String getRuntimeRange() 
    {
        return runtimeRange;
    }

    public void setRuntimeRange(String runtimeRange) 
    {
        this.runtimeRange = runtimeRange;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("runtimeScoreId", getRuntimeScoreId())
            .append("deviceCount", getDeviceCount())
            .append("runtimeScore", getRuntimeScore())
            .append("calculatedScore", getCalculatedScore())
            .append("monthPeriod", getMonthPeriod())
            .append("score", getScore())
            .append("runtimeRange", getRuntimeRange())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}